Camstream: CamStream API documentation

Main Page Class Hierarchy Compound List File List Compound Members File Members

# CBasicPanel Class Reference

A simple panel that displays 1 or 3 images (RGB/YUV style). More...

`#include <BasicPanel.h>`

Inheritance diagram for CBasicPanel::

List of all members.

## Public Methods

- CBasicPanel (const char *panel_name, const char *desc, int panel_type, QWidget *parent=0, const char *name=0)
- ~CBasicPanel ()
- void SetImage (int n, const QImage &new_image, bool deep=FALSE)

## Public Slots

- virtual void SetSize (const QSize &ns)

## Detailed Description

A simple panel that displays 1 or 3 images (RGB/YUV style).

This panel can take 1 to N images and will display them when asked for it. It can be used to display intermediate results or just an image that needs to be registered with a base class.

It overloads SetSize() so it will create images of the correct size and depth;, but these images will be destroyed with SetImage();

## Constructor & Destructor Documentation

CBasicPanel::CBasicPanel ( | const char * panel_name,
| const char * desc,
| int panel_type,
| QWidget * parent = 0,
| const char * name = 0 )

  | Constructor. Parameters:
  panel_type | Panel type; only CCamPanel::RGB or CCamPanel::YUV420 is useful
This creates the panel and reserves space for the images.

CBasicPanel::~CBasicPanel ( | )

| Destructor. Destroys objects. The QImage objects it contains are destroyed as well, but this does not affect operations as these images are just copies.

## Member Function Documentation

void CBasicPanel::SetImage ( | int n,
| const QImage & new_image,
| bool deep = FALSE )

  | Set an image of BasicPanel. Parameters:
  n | Image number
  new_image | The QImage class
  deep | Force deep copy
This class makes a shallow or deep copy of the image and sets it in its internal list of image. For RGB panels, n is not used; for YUV420 panels, if n is out of bounds, the action is ignored.

void CBasicPanel::SetSize ( | const QSize & ns )`[virtual, slot]`

| [overloaded] Sets size and initializes images. Reimplemented from CCamPanel.

The documentation for this class was generated from the following files:

- BasicPanel.cc
- BasicPanel.h